
Redmine - Defect #5967

search engine doesn't work

2010-07-26 22:08 - Mikhail Sviridov

Status: Closed Start date: 2010-07-26

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I installed redmine ver 1.0.0 migrated database, filled it with default data and started web server.

On the page I printed 'search' in the search field and catched the following:

Mysql::Error: Unknown column 'text' in 'where clause': SELECT DISTINCT `wiki_pages`.id FROM `wiki_pages`  LEFT OUTER

JOIN `wikis` ON `wikis`.id = `wiki_pages`.wiki_id  LEFT OUTER JOIN `projects` ON `projects`.id = `wikis`.project_id WHERE

((projects.status=1 AND projects.id IN (SELECT em.project_id FROM enabled_modules em WHERE em.name='wiki')) AND

(((LOWER LIKE '%поиск%') OR (LOWER LIKE '%поиск%'))))  ORDER BY wiki_pages.created_on DESC LIMIT 11

History

#1 - 2010-07-26 23:26 - Mikhail Sviridov

- Status changed from New to Resolved

It was a bug related to unsupported version of rails (2.3.8)

#2 - 2010-07-27 00:06 - Felix Schäfer

- Status changed from Resolved to Closed
